Upload media by link
curl --request POST \
--url https://api.rask.ai/api/library/v1/media/link \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"link": "<string>",
"name": "<string>"
}
'import requests
url = "https://api.rask.ai/api/library/v1/media/link"
payload = {
"link": "<string>",
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({link: '<string>', name: '<string>'})
};
fetch('https://api.rask.ai/api/library/v1/media/link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mime_type": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"meta": {
"size_bytes": 123,
"duration_seconds": 123,
"audio_rate": 123,
"audio_channels": 123,
"audio_codec_name": "<string>",
"video_codec_name": "<string>",
"video_frame_rate": 123,
"video_frame_width": 123,
"video_frame_height": 123,
"original_meta": {}
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"path": "<string>",
"name": "<string>",
"url": "<string>",
"preview": {
"mime_type": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"meta": {
"size_bytes": 123,
"duration_seconds": 123,
"audio_rate": 123,
"audio_channels": 123,
"audio_codec_name": "<string>",
"video_codec_name": "<string>",
"video_frame_rate": 123,
"video_frame_width": 123,
"video_frame_height": 123,
"original_meta": {}
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"path": "<string>",
"name": "<string>",
"url": "<string>"
}
}{
"status_code": 400,
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Media
Upload media by link
POST
/
api
/
library
/
v1
/
media
/
link
Upload media by link
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Upload media from link
Kind of media uploaded
Available options:
video, audio, image Status of media uploaded
Available options:
processing, ready, failed Media mime type
Author ID
- VideoMeta
- AudioMeta
- ImageMeta
Show child attributes
Show child attributes
ID of media uploaded
Date and time of media creation
Date and time of the last media update
Path to the media
Name of media uploaded
Media url
Minimum string length:
1Show child attributes
Show child attributes
⌘I